Skip to main content
DELETE
/
api
/
v2
/
webhooks
/
{webhook_id}
Deactivate a webhook
curl --request DELETE \
  --url https://api.heymilo.ai/api/v2/webhooks/{webhook_id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.heymilo.ai/api/v2/webhooks/{webhook_id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.heymilo.ai/api/v2/webhooks/{webhook_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "webhook_id": "<string>",
    "posting_id": "<string>",
    "webhook_url": "<string>",
    "event_type": "<string>",
    "is_active": true,
    "created_at": 123,
    "updated_at": 123,
    "object": "webhook"
  },
  "meta": {}
}
{
  "error": {
    "type": "<string>",
    "code": "<string>",
    "message": "<string>",
    "param": "<string>",
    "doc_url": "<string>",
    "errors": [
      {
        "code": "<string>",
        "message": "<string>",
        "param": "title"
      }
    ]
  }
}
{
  "error": {
    "type": "<string>",
    "code": "<string>",
    "message": "<string>",
    "param": "<string>",
    "doc_url": "<string>",
    "errors": [
      {
        "code": "<string>",
        "message": "<string>",
        "param": "title"
      }
    ]
  }
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
{
  "error": {
    "type": "<string>",
    "code": "<string>",
    "message": "<string>",
    "param": "<string>",
    "doc_url": "<string>",
    "errors": [
      {
        "code": "<string>",
        "message": "<string>",
        "param": "title"
      }
    ]
  }
}

Authorizations

X-API-KEY
string
header
required

API key for authentication. Pass your key in the X-API-KEY header.

Headers

X-API-KEY
string | null
Authorization
string | null
X-Workspace-Id
string | null

Path Parameters

webhook_id
string
required

Response

Successful Response

data
WebhookResponse · object
required

A webhook configuration.

meta
Meta · object | null

Optional metadata. Shape varies by endpoint.